Bug 459222 - RHEL4.8: Patch to support new HDMI Audio
Summary: RHEL4.8: Patch to support new HDMI Audio
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.8
Hardware: All
OS: Linux
high
high
Target Milestone: beta
: 4.8
Assignee: Bhavna Sarathy
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords: HardwareEnablement, OtherQA
Depends On:
Blocks: AMD4.8 RHEL4u8_relnotes 461304
TreeView+ depends on / blocked
 
Reported: 2008-08-15 06:34 UTC by Yang, Libin
Modified: 2018-10-19 23:55 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-05-18 19:15:40 UTC


Attachments (Terms of Use)
The updated patch (803 bytes, patch)
2008-08-29 03:11 UTC, Yang, Libin
no flags Details | Diff
E:\patch\RHEL4U8_HDMI_update.patch (707 bytes, patch)
2009-02-10 04:57 UTC, Andiry
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1024 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.8 kernel security and bug fix update 2009-05-18 14:57:26 UTC

Description Yang, Libin 2008-08-15 06:34:45 UTC
Description of problem:
The latest release does not support some ATI cards' HDMI function.

The below patch is to support more HDMI Audio for RHEL 4.8. The original patch
has been accepted by ALSA.
http://git.alsa-project.org/?p=alsa-kernel.git;a=blobdiff;f=sound/pci/hda/hda_intel.c;h=a73d6ca0a90655104c48b7ea50b4089815de5b70;hp=ef9f072b47fcc65749729d22fa8e1390c1f8a8de;hb=45fc3c4d9b7ab12798af43a73aea53eeecd16acf;hpb=96348852cf8ff5597a39e866838679b3a9a38947

--- sound/pci/azx/hda_intel.c.orig	2008-08-15 06:29:35.000000000 +0800
+++ sound/pci/azx/hda_intel.c	2008-08-15 06:30:03.000000000 +0800
@@ -1783,6 +1783,7 @@
 	{ 0x1002, 0x793b, PCI_ANY_ID, PCI_ANY_ID, 0, 0, AZX_DRIVER_ATIHDMI }, /* ATI RS600 HDMI */
 	{ 0x1002, 0x7919, PCI_ANY_ID, PCI_ANY_ID, 0, 0, AZX_DRIVER_ATIHDMI }, /* ATI RS690 HDMI */
 	{ 0x1002, 0x960f, PCI_ANY_ID, PCI_ANY_ID, 0, 0, AZX_DRIVER_ATIHDMI }, /* ATI RS780 HDMI */
+	{ 0x1002, 0x970f, PCI_ANY_ID, PCI_ANY_ID, 0, 0, AZX_DRIVER_ATIHDMI }, /* ATI RS780 HDMI */
 	{ 0x1002, 0xaa00, PCI_ANY_ID, PCI_ANY_ID, 0, 0, AZX_DRIVER_ATIHDMI }, /* ATI R600 HDMI */
 	{ 0x1002, 0xaa08, PCI_ANY_ID, PCI_ANY_ID, 0, 0, AZX_DRIVER_ATIHDMI }, /* ATI RV630 HDMI */
 	{ 0x1002, 0xaa10, PCI_ANY_ID, PCI_ANY_ID, 0, 0, AZX_DRIVER_ATIHDMI }, /* ATI RV610 HDMI */

Comment 1 Andiry 2008-08-29 02:59:38 UTC
There is something wrong in the patch.

+ { 0x1002, 0x970f, PCI_ANY_ID, PCI_ANY_ID, 0, 0, AZX_DRIVER_ATIHDMI }, /* ATI
RS780 HDMI */

This line should be

+ { 0x1002, 0x970f, PCI_ANY_ID, PCI_ANY_ID, 0, 0, AZX_DRIVER_ATIHDMI }, /* ATI HDMI */

FYI.

Comment 2 Yang, Libin 2008-08-29 03:11:52 UTC
Created attachment 315323 [details]
The updated patch

Hi RedHat friends,

Please use the attached patch. it fixed the comments issue.

Comment 3 Russell Doty 2008-09-02 20:02:36 UTC
Requesting exception as this request was not received by the RHEL 4.8 request deadline.

Comment 4 RHEL Product and Program Management 2008-09-03 13:11:35 UTC
Updating PM score.

Comment 5 Russell Doty 2008-09-12 15:44:59 UTC
Raising priority.

This patch adds a list of currently shipping devices to the Alsa driver, allowing audio over HDMI.

Comment 7 Andiry 2009-01-15 02:09:39 UTC
Hi,

what's the current status of this issue? Will this patch be added into RHEL 4.8? Thanks.

Comment 8 Issue Tracker 2009-01-15 14:50:24 UTC
Hi Andiry,

The the request to add this to RHEL4.8 has been approved but the patch
still needs to be reviewed by our kernel team. I'll follow up with Joachim
to see where we're at.


This event sent from IssueTracker by emcnabb 
 issue 215952

Comment 9 Joachim Deguara 2009-01-16 18:25:45 UTC
patch is now posted to rh-kernel list

Comment 11 Vivek Goyal 2009-01-19 19:58:21 UTC
Committed in 79.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 12 Issue Tracker 2009-01-19 20:11:11 UTC
Andiry, Libin,

Can you verify this was added correctly?

Committed in 79.EL . RPMS are available at
http://people.redhat.com/vgoyal/rhel4/


This event sent from IssueTracker by emcnabb 
 issue 215952

Comment 13 Andiry 2009-01-20 02:45:34 UTC
Hi Evan,

It's confirmed that the patch has been merged into kernel-2.6.9-79.EL. But due to lack of HW device and display driver support, we are NOT able to test it so far. Anyway, if it cannot work properly in the future, we'll create another BZ. Thanks for your help.

Comment 16 Andiry 2009-02-10 04:57:02 UTC
Hi Evan,

After our internal test, unfortunately we found that the patch is merged falsely and need to be modified.

In RHEL 4.7 (kernel 2.6.9-78), the hda drivers are put under directory sound/pci/azx. we backported the patch based on this kernel version. 

But in redhat's update to RHEL 4.8 (kernel 2.6.9-80), the hda drivers are moved to directory sound/pci/hda, which is used in latest upstream kernel. But you maintain the directory azx and hda at the same time, which is wrong. You can see files under these two folders are almost the same. The patch should be applied to the directory sound/pci/hda to make it work.

Anyway, in order to resolve this issue, a update patch is required. Please check the attachment and apply it in the next kernek version.

Comment 17 Andiry 2009-02-10 04:57:56 UTC
Created attachment 331392 [details]
E:\patch\RHEL4U8_HDMI_update.patch

Comment 18 Russell Doty 2009-02-24 21:21:33 UTC
Bhavna, this BZ is assigned to you. Can you circulate the updated patch for reviea and approval?

Comment 19 Bhavna Sarathy 2009-02-25 20:51:38 UTC
Russ, I have posted the patch.  I will change the status of the bug from
FAILS_QA to POST.

Comment 20 Shane Huang 2009-03-10 02:13:46 UTC
Is there any update to this patch, will it be included in the kernel for RHEL4.8 Beta?

Comment 21 Issue Tracker 2009-03-10 12:54:05 UTC
Shane,

This was posted for internal review and there was some discussion about
the patch (some as recently as yesterday). Since the beta bits have
already been built, this will not be included in the public beta but
probably snapshot 1 or 2. We will let you know when it is included in one
of our test kernels.


This event sent from IssueTracker by emcnabb 
 issue 215952

Comment 22 Vivek Goyal 2009-03-11 14:10:09 UTC
Committed in 83.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 23 Issue Tracker 2009-03-12 12:58:56 UTC
Update from AMD:

"Confirmed kernel 2.6.9-83.EL contained the patch and works as expected.
Thanks." 


This event sent from IssueTracker by emcnabb 
 issue 215952

Comment 24 Chris Ward 2009-03-13 14:03:54 UTC
~~ Attention Partners!  ~~
RHEL 4.8Beta has been released on partners.redhat.com. There should
be a fix present, which addresses this bug. Please test and report back results on this OtherQA Partner bug at your earliest convenience.

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe any issues you encountered. If you have found a NEW bug, clone this bug and describe the issues you've encountered. Further questions can be directed to your Red Hat Partner Manager.

If you have VERIFIED the bug fix. Please select your PartnerID from the Verified field above. Please leave a comment with your test results details. Include which arches tested, package version and any applicable logs.

 - Red Hat QE Partner Management

Comment 26 Shane Huang 2009-03-30 07:35:29 UTC
Verified OK with RHEL4.8 Snapshot1(kernel-smp-2.6.9-84.EL.i686 AND
kernel-smp-2.6.9-84.EL.x86_64), thanks.

Comment 29 errata-xmlrpc 2009-05-18 19:15:40 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html


Note You need to log in before you can comment on or make changes to this bug.